#ifndef _menu_
#define _menu_

#include <iostream>
#include "opciones.h";
#include "puntuacion.h";
using namespace std;


class Menu {
private:
int menu;
int numOpciones;

int juego;
int torneo;
int torneoDesbloqueado;
bool salir;
static const int minNivel=1;
static const int maxNivel=5;

Opciones estandarOp;
Opciones personalizado;
Puntuacion puntuacion;


public:
Menu();
void mostrarMenu();
void navegarMenu();
bool isOpcion(int opcion);
void ejecutarOpcion(int opcion);
void jugar();
void entrenar();
void borrarPuntuaciones();
bool isSalir();
int getJuego();
string extraerCadena(string cadena, int pos);
string interpretarOpcion(string opcion);
int extraerNumero(string cadena, int pos);
Opciones getOpciones();
void setOpciones(Opciones menu);
int convertirEntero(string texto);
int convertirEntero(char texto);
void mostrarPuntuaciones(int menuPuntos);
void mostrarPuntos();
};


#endif
